MonoMac 0.0.0.0 System.Object MonoMac.ObjCRuntime.INativeObject System.IDisposable MonoMac.ObjCRuntime.Since(4, 0) Describes media data for audio, video, text and time codes Some properties apply to all media types, while some others only apply to specific media types. They are prefixed with Audio or Video in those cases.
- Property
  0.0.0.0
  MonoMac.AudioToolbox.AudioChannelLayout Audio-media only: describe the channel layout. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.AudioToolbox.AudioFormat[] Audio-media only: the supported audio formats, sorted from most rich to less.
- Property
  0.0.0.0
  System.Byte[] Audio-media only: magic cookie that might need to be passed to some backends. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.AudioToolbox.AudioFormat Audio-media only: returns the most compaible audio format. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.AudioToolbox.AudioFormat Audio-media only: Returns the richest decodable format. To be added. To be added.
- Property
  0.0.0.0
  System.Nullable<MonoMac.AudioToolbox.AudioStreamBasicDescription> Audio-media only: Returns the AudioStreamBasicDescritpion object for the audio. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.CoreMedia.CMClosedCaptionFormatType To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.CoreMedia.CMFormatDescription `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void Releases the resources used by the CMFormatDescription object.

  The Dispose method releases the resources used by the CMFormatDescription class.

  Calling the Dispose method when you are finished using the CMFormatDescription ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it. For more information on releasing resources see ``Cleaning up Unmananaged Resources'' at http://msdn.microsoft.com/en-us/library/498928w2.aspx

- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the CMFormatDescription object.

  This Dispose method releases the resources used by the CMFormatDescription class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the CMFormatDescription ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Method
  0.0.0.0
  System.Void Finalizer for the CMFormatDescription object
- Method
  0.0.0.0
  MonoMac.Foundation.NSObject[] Returns the Extension Keys that are common with CVImageBuffer objects. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.NSDictionary To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use CMVideoFormatDescription")
  System.Drawing.RectangleF `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use CMVideoFormatDescription")
  System.Drawing.SizeF `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr Handle (pointer) to the unmanaged object representation. A pointer This IntPtr is a handle to the underlying unmanaged representation for this object.
- Property
  0.0.0.0
  System.Obsolete("Use specific SubType property")
  System.UInt32 To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.CoreMedia.CMMediaType To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.CoreMedia.CMMetadataFormatType To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.CoreMedia.CMMuxedStreamType To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.CoreMedia.CMSubtitleFormatType To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.CoreMedia.CMTimeCodeFormatType To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.CoreMedia.CMVideoCodecType To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Obsolete("Use CMVideoFormatDescription")
  System.Drawing.Size Video-media only: the video dimensions. To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.